/**
 * 生产管理
 * 共有的Dto
 * 数据对象的Dto
 * */
/**
 * Invalid=0,Minio=1,Aliyun=2,QCloud=3,Qiniu=4,HuaweiCloud=5
 * @format int32
 */
export type OSSProvider = 0 | 1 | 2 | 3 | 4 | 5

/** 文件 */
export interface FileEntity {
  /**
   * 主键Id
   * @format int64
   */
  id?: number
  /**
   * 创建者Id
   * @format int64
   */
  createdUserId?: number | null
  /**
   * 创建者
   * @maxLength 50
   */
  createdUserName?: string | null
  /**
   * 创建时间
   * @format date-time
   */
  createdTime?: string | null
  /**
   * 修改者Id
   * @format int64
   */
  modifiedUserId?: number | null
  /**
   * 修改者
   * @maxLength 50
   */
  modifiedUserName?: string | null
  /**
   * 修改时间
   * @format date-time
   */
  modifiedTime?: string | null
  /** 是否删除 */
  isDeleted?: boolean
  /** Invalid=0,Minio=1,Aliyun=2,QCloud=3,Qiniu=4,HuaweiCloud=5 */
  provider?: OSSProvider
  /** 存储桶名称 */
  bucketName?: string | null
  /** 文件目录 */
  fileDirectory?: string | null
  /**
   * 文件Guid
   * @format uuid
   */
  fileGuid?: string
  /** 保存文件名 */
  saveFileName?: string | null
  /** 文件名 */
  fileName?: string | null
  /** 文件扩展名 */
  extension?: string | null
  /**
   * 文件字节长度
   * @format int64
   */
  size?: number
  /** 文件大小格式化 */
  sizeFormat?: string | null
  /** 链接地址 */
  linkUrl?: string | null
  /** md5码，防止上传重复文件 */
  md5?: string | null
}

export interface FileDeleteInput {
  /**
   * 文件Id
   * @format int64
   */
  id: number
}
/**部件列表对象 */
export interface ComponentGetPageOutPut{
  /**序号 */
  guid: number

  /**部件名称 */
  bomName:string | null

  /**部件编号 */
  bomNo:string | null
  bomProNo: string | null
  cpuId:string | null
  software_v: string | null
  status: number | string
  key_name: number | string
  stand_name:number | string
  tqcKeyState:number | string
  ecvrKeyState:number | string
  createTime: Date
  remark:string |null
}

export interface PageOutputPageComponentGetPage{
  /**
   * 数据总数
   * @format int64
   */
  total?: number
  /** 数据 */
  list?: ComponentGetPageOutPut[] | null
}
/** 结果输出 */
export interface ResultOutputFileEntity {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 文件 */
  data?: FileEntity
}

/** 结果输出 */
export interface ResultOutputListFileEntity {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 数据 */
  data?: FileEntity[] | null
}

/** 结果输出 */
export interface ResultOutputPageComponentGetPageOutPut {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 分页信息输出 */
  data?: PageOutputPageComponentGetPage
}
