import {HttpClient} from "/@/api/admin/http-client";

export class MoreOilEngineDetailsApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  timer = 400
  /**
   * No description
   *
   * @tags data
   * @name getOilListData
   * @summary  获取油机列表详情数据
   * @request GET:
   * @secure
   */
  getOilListData = () =>
    new Promise(resolve => {
      setTimeout(() => {
        resolve(
          {
            success: true,
            code: null,
            msg: null,
            data:
              [
                {
                  oilEngineName: "17",
                  oilEngineStatus: "离线",
                  oilSpecifications: "1主板1枪",
                  oils: "95号车用汽油",
                  selfLockingState: "关闭",
                  ECQSCode: "200023204009",
                },
                {
                  oilEngineName: "18",
                  oilEngineStatus: "离线",
                  oilSpecifications: "1主板2枪",
                  oils: "95号车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204015",
                },
                {
                  oilEngineName: "19",
                  oilEngineStatus: "离线",
                  oilSpecifications: "1主板3枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204036",
                },
                {
                  oilEngineName: "20",
                  oilEngineStatus: "离线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "21",
                  oilEngineStatus: "在线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "22",
                  oilEngineStatus: "在线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "23",
                  oilEngineStatus: "离线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "24",
                  oilEngineStatus: "在线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "25",
                  oilEngineStatus: "在线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "26",
                  oilEngineStatus: "在线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                },
                {
                  oilEngineName: "27",
                  oilEngineStatus: "在线",
                  oilSpecifications: "1主板4枪",
                  oils: "98车用汽油",
                  selfLockingState: "已启动",
                  ECQSCode: "200023204059",
                }
              ]
          }
        )
      },this.timer)
    })

  /**
   * No description
   *
   * @tags data
   * @name getTableData
   * @summary  获取表格数据对象
   * @request GET:
   * @secure
   */
  getTableData = () =>
    new Promise(resolve => {
      setTimeout(() => {
        resolve({
          success: true,
          code: null,
          msg: null,
          data:[{
            time: "string",
            refuelingGun: "string",
            alarmSource: "string",
            alarmDescription: "string",
            alarmType: "string"
          },{
            time: "string",
            refuelingGun: "string",
            alarmSource: "string",
            alarmDescription: "string",
            alarmType: "string"
          },{
            time: "string",
            refuelingGun: "string",
            alarmSource: "string",
            alarmDescription: "string",
            alarmType: "string"
          },{
            time: "string",
            refuelingGun: "string",
            alarmSource: "string",
            alarmDescription: "string",
            alarmType: "string"
          }]
        })
      },this.timer)
    })

  /**
   * No description
   *
   * @tags data
   * @name getDetailsData
   * @summary  获取油机详情数据对象
   * @request GET:
   * @secure
   */
  getDetailsData = () =>
    new Promise(resolve => {
      setTimeout(() => {
        resolve({
          success: true,
          code: null,
          msg: null,
          data:{
            oilEngineName: "4",
            factoryNumber: "1904344P",
            model: "4枪4显2油品潜油泵",
            manufacture: "托肯恒山科技(广州)有限公司",
            specifications: "THD2244B2",
            dateOfManufacture: "2019-11-27 18:28",
            measuringRange: "5L-50L",
            installDate: "2019-11-27 18:28",
            accuracyLevel: "0.3",
            dateOfActivation: "2019-11-28 18:28",
            equipmentStatus: "启动",
            onlineStatus: "离线",
            alarmStatus: "严重报警",
            numberOfAlarms: "0",
            accumulatedOnline: "945天"
          }
        })
      },this.timer)
    })
}
