/**
 * 平台管理 - 工作台
 *  数据对象的Dto
 * */
import {ContentType, HttpClient} from "/@/api/admin/http-client";
import {AxiosResponse} from "axios/index";

export class WorkBench<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {

  /**
   * @name: GetInitData
   * @description: 获取工作台表格初始化的数据
   * @author wyoujia
   * @date 工作台数据
  */
  getInitData = () =>
    this.request<AxiosResponse, any>({
      path: `/api/app/compoent/get-key-count-to-be-used`,
      method: 'POST',
      secure: true,
      type: ContentType.Json,
      format: 'json',
    })
}
